Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.MemoryArchiveStorage Class Reference

An IArchiveStorage implementation suitable for in memory streams. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Zip.MemoryArchiveStorage:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Zip.MemoryArchiveStorage:
[legend]

## Public Member Functions
| MemoryArchiveStorage ()
| Initializes a new instance of the MemoryArchiveStorage class.
| MemoryArchiveStorage (FileUpdateMode updateMode)
| Initializes a new instance of the MemoryArchiveStorage class.
override Stream | GetTemporaryOutput ()
| Gets the temporary output Stream
override Stream | ConvertTemporaryToFinal ()
| Converts the temporary Stream to its final form.
override Stream | MakeTemporaryCopy (Stream stream)
| Make a temporary copy of the original stream.
override Stream | OpenForDirectUpdate (Stream stream)
| Return a stream suitable for performing direct updates on the original source.
override void | Dispose ()
| Disposes this instance.
Public Member Functions inherited from ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage
Stream | GetTemporaryOutput ()
| Gets a temporary output Stream
Stream | ConvertTemporaryToFinal ()
| Converts the temporary Stream to its final form.
Stream | MakeTemporaryCopy (Stream stream)
| Make a temporary copy of a Stream.
Stream | OpenForDirectUpdate (Stream stream)
| Return a stream suitable for performing direct updates on the original source.
void | Dispose ()
| Disposes this instance.

## Properties
MemoryStream | FinalStream`[get]`
| Get the stream returned by ConvertTemporaryToFinal if this was in fact called.
Properties inherited from ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage
FileUpdateMode | UpdateMode`[get]`
| Gets the update mode applicable.

## Private Attributes
MemoryStream | temporaryStream_
MemoryStream | finalStream_

## Additional Inherited Members
Protected Member Functions inherited from ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage
| BaseArchiveStorage (FileUpdateMode updateMode)
| Initializes a new instance of the BaseArchiveStorage class.

## Detailed Description

An IArchiveStorage implementation suitable for in memory streams.

## Constructor & Destructor Documentation

## ◆ MemoryArchiveStorage() [1/2]

ICSharpCode.SharpZipLib.Zip.MemoryArchiveStorage.MemoryArchiveStorage | ( |  | ) |

Initializes a new instance of the MemoryArchiveStorage class.

## ◆ MemoryArchiveStorage() [2/2]

ICSharpCode.SharpZipLib.Zip.MemoryArchiveStorage.MemoryArchiveStorage | ( | FileUpdateMode | updateMode | ) |

Initializes a new instance of the MemoryArchiveStorage class.

Parameters

  updateMode | The FileUpdateMode to use

This constructor is for testing as memory streams dont really require safe mode.

## Member Function Documentation

## ◆ ConvertTemporaryToFinal()

override Stream ICSharpCode.SharpZipLib.Zip.MemoryArchiveStorage.ConvertTemporaryToFinal | ( |  | ) |

Converts the temporary Stream to its final form.

Returns
  Returns a Stream that can be used to read the final storage for the archive.

Implements ICSharpCode.SharpZipLib.Zip.IArchiveStorage.

## ◆ Dispose()

override void ICSharpCode.SharpZipLib.Zip.MemoryArchiveStorage.Dispose | ( |  | ) |

Disposes this instance.

Implements ICSharpCode.SharpZipLib.Zip.IArchiveStorage.

## ◆ GetTemporaryOutput()

override Stream ICSharpCode.SharpZipLib.Zip.MemoryArchiveStorage.GetTemporaryOutput | ( |  | ) |

Gets the temporary output Stream

Returns
  Returns the temporary output stream.

Implements ICSharpCode.SharpZipLib.Zip.IArchiveStorage.

## ◆ MakeTemporaryCopy()

override Stream ICSharpCode.SharpZipLib.Zip.MemoryArchiveStorage.MakeTemporaryCopy | ( | Stream | stream | ) |

Make a temporary copy of the original stream.

Parameters

  stream | The Stream to copy.

Returns
  Returns a temporary output Stream that is a copy of the input.

Implements ICSharpCode.SharpZipLib.Zip.IArchiveStorage.

Here is the call graph for this function:

## ◆ OpenForDirectUpdate()

override Stream ICSharpCode.SharpZipLib.Zip.MemoryArchiveStorage.OpenForDirectUpdate | ( | Stream | stream | ) |

Return a stream suitable for performing direct updates on the original source.

Parameters

  stream | The original source stream

Returns
  Returns a stream suitable for direct updating.

If the stream passed is not null this is used; otherwise a new MemoryStream is returned.

Implements ICSharpCode.SharpZipLib.Zip.IArchiveStorage.

Here is the call graph for this function:

## Member Data Documentation

## ◆ finalStream_

MemoryStream ICSharpCode.SharpZipLib.Zip.MemoryArchiveStorage.finalStream_
| private

## ◆ temporaryStream_

MemoryStream ICSharpCode.SharpZipLib.Zip.MemoryArchiveStorage.temporaryStream_
| private

## Property Documentation

## ◆ FinalStream

MemoryStream ICSharpCode.SharpZipLib.Zip.MemoryArchiveStorage.FinalStream
| get

Get the stream returned by ConvertTemporaryToFinal if this was in fact called.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/ZipFile.cs